1. Media Center
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
        GET
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Media Center

Get Resources

GET
https://backend.networked.co/mcenter/v1/get

šŸ“ Media Center Files#

Description#

This API retrieves media center content based on specified filters such as type, tags, sorting, and custom lists. It supports pagination and advanced filtering options.
HTTP Method: GET
Endpoint: /mcenter/v1/get

Request Details#

Headers#

KeyTypeRequiredDescription
x-api-keystringYesAPI key provided by the Networked Team or generated via the Platform.
spaceIdstringNoId of the space for which the media center files are needed. (optional)
By default the data of the community Media center is returned .

Query Parameters#

ParameterTypeRequiredDescription
startnumberYesThe offset from which to start fetching results.
countnumberYesThe number of items to fetch.
data[]arrayYesArray of integers representing media types to fetch (e.g., 0, 1, 3).
communityCollectionbooleanNoWhether to include community-level collection items.
sortBynumberNoField to sort by (e.g., 3 for created time).
orderBynumberNoSorting order (1 for ascending, -1 for descending).
startDatestringNoStart date for filtering (nullable).
endDatestringNoEnd date for filtering (nullable).
withTagstringNoFilter items that contain a specific tag (nullable).
noTagstringNoFilter items that do not contain a specific tag (nullable).
keyFilterstringNoTo be used for searching the media center file , search will include any file name, description , customList name , TagName or CustomList Tag name if it matches and have's it .

Sample Response#

{
  "data": {
    "start": 0,
    "count": 2,
    "nextStart": false,
    "content": [
      {
        "id": "682fc48db83c900012105cb9",
        "name": "Image Pasted at 2025-5-21 18-46.gif",
        "type": 20,
        "description": "",
        "url": "https://ntwc-us-east-2-qa-eks-s3-media-storage.s3.amazonaws.com/community-67959032bc6bea0012fdc671/file-1747960973368-Image Pasted at 2025-5-21 18-46.gif",
        "pinnedToTop": false,
        "size": 53588,
        "creationTime": 1747960973355,
        "createdBy": {
          "id": "6787893423126f0012a92ed6",
          "name": "Spencer Johnson Spencer",
          "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image (25).png",
          "title": " Software Development Test Engineer WBC Community Test Engineer"
        },
        "tags": [
          {
            "_id": "68385bc7b83c90001210ccd4",
            "user": "6683ae18795e3b0012ec9a40",
            "community": "67959032bc6bea0012fdc671",
            "name": "tag1",
            "__v": 0
          }
        ],
        "customList": [
          {
            "tags": ["68385c47b83c90001210cd9a", "68385c47b83c90001210cd9b"],
            "_id": "68385c59b83c90001210cdf6",
            "customList": "68385c47b83c90001210cd98",
            "customListInfo": {
              "_id": "68385c47b83c90001210cd98",
              "isMainFilter": true,
              "name": "Priority",
              "community": "67959032bc6bea0012fdc671",
              "user": "6683ae18795e3b0012ec9a40",
              "__v": 0
            },
            "tagInfo": [
              {
                "_id": "68385c47b83c90001210cd9a",
                "name": "High",
                "user": "6683ae18795e3b0012ec9a40",
                "customList": "68385c47b83c90001210cd98",
                "__v": 0
              },
              {
                "_id": "68385c47b83c90001210cd9b",
                "name": "Medium",
                "user": "6683ae18795e3b0012ec9a40",
                "customList": "68385c47b83c90001210cd98",
                "__v": 0
              }
            ]
          }
        ]
      }
    ]
  },
  "error": false,
  "message": "Success"
}

Response Interface#

interface MediaCenterResponse {
  data: {
    start: number;
    count: number;
    nextStart: boolean | number;
    content: {
      id: string;
      name: string;
      type: number;
      description: string;
      url: string;
      pinnedToTop: boolean;
      size: number;
      creationTime: number;
      createdBy: {
        id: string;
        name: string;
        image: string;
        title: string;
      };
      tags: {
        _id: string;
        user: string;
        community: string;
        name: string;
        __v: number;
      }[];
      customList: {
        tags: string[];
        _id: string;
        customList: string;
        customListInfo: {
          _id: string;
          isMainFilter: boolean;
          name: string;
          community: string;
          user: string;
          __v: number;
        };
        tagInfo: {
          _id: string;
          name: string;
          user: string;
          customList: string;
          __v: number;
        }[];
      }[];
    }[];
  };
  error: boolean;
  message: string;
}

Response Field Descriptions#

KeyTypeDescription
data.startnumberPagination offset from the start of the result set.
data.countnumberNumber of results returned in this response.
data.nextStartboolean or numberFalse if no more pages; otherwise, the offset for the next page.
data.content[].idstringUnique identifier for the content item.
data.content[].namestringDisplay name of the content.
data.content[].typenumberType of media (e.g., image, video, etc.).
data.content[].descriptionstringOptional description of the content.
data.content[].urlstringURL to access the content.
data.content[].pinnedToTopbooleanWhether the content is pinned.
data.content[].sizenumberSize of the content in bytes.
data.content[].creationTimenumberUnix timestamp (ms) when the content was created.
data.content[].createdByobjectInformation about the user who created the content.
data.content[].tags[]arrayArray of tags associated with the content.
data.content[].customList[]arrayCustom metadata associated with the content, like priority or status.

Reference#

šŸ”— Response Codes

Notes#

The data[] query parameter is a list of media types. Its exact mappings (e.g., 0 = Image, 1 = Video) should be referenced from internal enum mappings.
Results can be filtered using tag or custom list-based filtering.

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request GET 'https://backend.networked.co/mcenter/v1/get?start=0&count=100&data[0]=0&data[1]=1&data[2]=3&data[3]=6&data[4]=5&data[5]=2&communityCollection=false&sortBy=3&orderBy=-1' \
--header 'x-api-key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{}'
Response Response Example
{
    "data": {
        "start": 0,
        "count": 2,
        "nextStart": false,
        "content": [
            {
                "id": "682fc48db83c900012105cbb",
                "name": "large-image (2).png",
                "type": 0,
                "description": "",
                "url": "https://ntwc-us-east-2-qa-eks-s3-media-storage.s3.amazonaws.com/community-67959032bc6bea0012fdc671/file-1747960973382-large-image%20%282%29.png",
                "pinnedToTop": false,
                "size": 80725,
                "creationTime": 1747960973363,
                "createdBy": {
                    "id": "6787893423126f0012a92ed6",
                    "name": "Spencer Johnson Spencer",
                    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image%20%2825%29.png",
                    "title": " Software Development Test Engineer WBC Community Test Engineer"
                },
                "tags": [],
                "customList": []
            },
            {
                "id": "682fc48db83c900012105cb9",
                "name": "Image Pasted at 2025-5-21 18-46.gif",
                "type": 20,
                "description": "",
                "url": "https://ntwc-us-east-2-qa-eks-s3-media-storage.s3.amazonaws.com/community-67959032bc6bea0012fdc671/file-1747960973368-Image%20Pasted%20at%202025-5-21%2018-46.gif",
                "pinnedToTop": false,
                "size": 53588,
                "creationTime": 1747960973355,
                "createdBy": {
                    "id": "6787893423126f0012a92ed6",
                    "name": "Spencer Johnson Spencer",
                    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image%20%2825%29.png",
                    "title": " Software Development Test Engineer WBC Community Test Engineer"
                },
                "tags": [
                    {
                        "_id": "68385bc7b83c90001210ccd4",
                        "user": "6683ae18795e3b0012ec9a40",
                        "community": "67959032bc6bea0012fdc671",
                        "name": "tag1",
                        "__v": 0
                    }
                ],
                "customList": [
                    {
                        "tags": [
                            "68385c47b83c90001210cd9a",
                            "68385c47b83c90001210cd9b"
                        ],
                        "_id": "68385c59b83c90001210cdf6",
                        "customList": "68385c47b83c90001210cd98",
                        "customListInfo": {
                            "_id": "68385c47b83c90001210cd98",
                            "isMainFilter": true,
                            "name": "Priority",
                            "community": "67959032bc6bea0012fdc671",
                            "user": "6683ae18795e3b0012ec9a40",
                            "__v": 0
                        },
                        "tagInfo": [
                            {
                                "_id": "68385c47b83c90001210cd9a",
                                "name": "High",
                                "user": "6683ae18795e3b0012ec9a40",
                                "customList": "68385c47b83c90001210cd98",
                                "__v": 0
                            },
                            {
                                "_id": "68385c47b83c90001210cd9b",
                                "name": "Medium",
                                "user": "6683ae18795e3b0012ec9a40",
                                "customList": "68385c47b83c90001210cd98",
                                "__v": 0
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "error": false,
    "message": "Success"
}
Modified atĀ 2026-05-15 11:55:28
Previous
Media Center
Next
Analytics
Built with